# Copyright (c) 2002 Infrae. All rights reserved.
# See also LICENSE.txt
# $Id: interfaces.py,v 1.2 2002/12/24 14:07:46 zagy Exp $


"""Interfaces for batch processing."""

from twisted.python import components


class ICommand(components.Interface):
    """Interface that must be implemented by commands."""

    def run(self):
        """Return result of running command."""

    def getDescription(self):
        """Return description of the command."""

    def getSize(self):
        """Get size of command."""

    def getType(self):
        """Identifier for command type."""

