# Copyright (c) 2002 Infrae. All rights reserved.
# See also LICENSE.txt
# $Id: config.py,v 1.3 2003/01/22 17:12:06 zagy Exp $

# NOTE: All backslashes `\' must be doubled as \ is the quoting character. 
# I.e. "C:\Windows\Temp" becomes "C:\\Windows\\Temp".
#
# All lines starting with a hash `#' are comments and ignored. 

# XML RPC port, on this port the server listens for requests.
XMLRPC_PORT = 8888

# XML RPC password, this password must be given for most requests.
XMLRPC_PASSWORD = "secret"

# Mail configuration
SMTP_SERVER = "smtp.xs4all.nl"
SENDER_ADDRESS = "nobody@infrae.com"

# Finished jobs will be # put here.  It's not really worth keeping them in 
# another directory than a temporary.
STORAGE_DIRECTORY = "c:\\temp"

# Storage timeout, after the given amount of minutes, entries will be deleted 
# from the storage.
STORAGE_EXPIRE = 120 

# Log file; this file is mainly for debugging and will be overwritten at 
# server start.  Set to None for no logging.
LOG_FILE = "docma.log"
# LOG_FILE = None 

# Front page templates path; front page templates will be put here.  Must be
# writable.
WORD_FRONTPAGES = "frontTemplates"

# Word template; path to the main template.
WORD_TEMPLATE = "silva2word\\template.dot"

MAIL_JOBFINISHED = """Your job %(queueid)s has been finished. 
It is stored under the storage id %(storageid)s.

%(description)s

"""

MAIL_JOBFAILED = """Your job %(queueid)s has been failed.

%(description)s


Detailed error message:

%(traceback)s

"""


