#!/usr/bin/env python2.2
# Copyright (c) 2002 Infrae. All rights reserved.
# See also LICENSE.txt
# $Id: silva2word.py,v 1.1 2003/02/25 14:37:53 zagy Exp $

import sys
import os
from xml.dom.minidom import parse

os.chdir(os.path.abspath(os.path.dirname(sys.argv[0])))

import config
from docma.word import Silva2Word

if os.name != 'nt':
    raise RuntimeError, 'silva2word does only run on windows'

def exit(code=0):
    print 'Hit enter to close' 
    sys.stdin.readline()
    sys.exit(code)

if len(sys.argv) == 1:
    print
    print
    print "Usage: %s <filename>" % (sys.argv[0], )
    print
    exit(1)

try:
    filename = ' '.join(sys.argv[1:])
    from silva2word import SilvaDOMHandler
    dom = parse(filename)
    handler = SilvaDOMHandler.SilvaDOMHandler(dom, 
        template=os.path.abspath(config.WORD_TEMPLATE))
    handler.dontClose = True
    handler.run()
except:
    import traceback
    traceback.print_exc()
    exit(2)
exit(0)

