# ************************************************************************
# * Copyright (c) infrae in 2002
# * For license details please see the license.txt file. 
# *
# * Project: DOC to Silva XML Converter
# *
# * Creation Date: June 2002
# *
# * Authors: Stephan Richter
# ************************************************************************
"""

$Id: Heading.py,v 1.3 2003/01/24 16:11:07 zagy Exp $
"""
from SilvaObject import SilvaObject
from util import replaceMap, stripControlChars

class Heading(SilvaObject):

    def __init__(self, original, type=None):
        SilvaObject.__init__(self, original)
        self.text = u''
        self.type = type
        if self.type is None:
            self.type = 'normal'
        self.handleText(original)

    def handleText(self, wp):
        self.text = ' '.join(wp.Range().split())
        self.text = replaceMap(stripControlChars(self.text))

    def getXML(self):
        xml = u'<heading type="%s">' % (self.type, )
        xml += self.text
        xml += u'</heading>'
        return xml
            
